{% set PageTitle = "Article Hub" %}
{% extends "master.html" %}
{% set BodyClass = "article-hub theme-grey" %}

{% block main %}
	<div id="articleHubNav"></div>
	<div id="featuredArticles"></div>
	<div id="popularArticles"></div>
	<div id="subArticles"></div>
	<div id="promo"></div>
{% endblock %}

{% block styles %}
{% endblock %}

{% block scripts %}

  <script>
    window.addEventListener('load', function(){
    ReactDOM.render(React.createElement(Components.InPageNav,{
      mobileLabel:"All articles",
      cssClass:"articleHubNav",
      hasMarker:true,
      items:[
        {
          label:'Featured &amp; Popular',
          link: {
            href:'#/category1',
            rel:"noreferrer"
          }
        },
        {
          label:'Driving',
          link:{href:'#/category2'}
        },
        {
          label:'Home &amp; Pet',
          link:{href:'#/category3'}
        },
        {
          label:'Family &amp; Health',
          link:{href:'#/category4'}
        },
        {
          label:'Retirement',
          link:{href:'#/category5'},
          selected:true
        },
        {
          label:'Travel',
          link:{href:'#/category6'}
        },
        {
          label:'Finance',
          link:{href:'#/category7'}
        },
      ]
    }), document.getElementById("articleHubNav"));

    ReactDOM.render(React.createElement(Components.FeaturedArticles,{
      heading:"Take a look at our featured articles",
      icon: '<img src="dist/images/cms/ArticleHub-Recommended-160x120.svg">',
      items: [
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link:{
            href: "#/article-1/",
            rel:"nofollow",
          },
          readTime: "5 min read",
          image: {
              html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
              size:{width:384,height:240}
            },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link: {
            href: "#/article-2/",
          },
          readTime: "5 min read",
          image: {
              html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
              size:{width:384,height:240}
            },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        }
      ],
    }), document.getElementById("featuredArticles"));

    ReactDOM.render(React.createElement(Components.PopularArticles,{
      id:"sdsdsdsdsdsdsdsgfg",
      heading:"These are our most loved stories",
      icon: '<img src="dist/images/cms/ArticleHub-MostLoved-160x120.svg">',
      items: [
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
              html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
              size:{width:384,height:240}
            },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link: {
            href: "#/article-2/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled?",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for ",
          category: 'Category',
          link: {
            href: "#/article-1/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        }
      ],
    }), document.getElementById("popularArticles"));

    ReactDOM.render(React.createElement(Components.SubArticles,{
      heading:"Want more from driving?",
      id:"SDSDSDSDSDS",
      icon: '<img src="dist/images/icon/icon-newsletter.svg">',
      items: [
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link:{
            href: "#/article-1/",
            rel:"noreferrer",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Why the 'golden generation' of over-50s are taking gap years",
          category: 'Category',
          link:{
            href: "#/article-2/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? ",
          category: 'Category',
          link:{
            href: "#/article-2/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        },
        {
          title: "Flight cancelled? How to claim, and what you're covered for lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ipsum lorem ...",
          category: 'Category',
          link:{
            href: "#/article-3/",
          },
          readTime: "5 min read",
          image: {
            html:'<img src="dist/images/placeholder/article-1.jpg" alt="" />',
            size:{width:384,height:240}
          },
          date:{ day:12, month:{ label:"December", number:12, }, year:2017, time:"12:00" },
        }
      ],
    }), document.getElementById("subArticles"));

    ReactDOM.render(React.createElement(Components.Promo, {
      heading: "There's plenty more where that came from, so let's stay in touch",
      copy: '',
      icon: {
        html:'<img src="dist/images/icon/icon-newsletter.svg">',
        size:{width:74,height:66}
      },
      cta: '<a href="http://example.com">Sign up here</a>',
    }), document.getElementById("promo"));
  })

</script>

{% endblock %}

{% block header %}
    <script>
      window.addEventListener('load', function(){
      ReactDOM.render(React.createElement(PriorityComponents.HeaderBanner, {
        label:"Articles",
        labelLink:'',
        theme:{
          themeName:"strawberry",
          textColour:'white',
          mobileTextColour:'black'
        },
        headline:"Welcome to our library*, feel free to have a browse.",
        subheading: '*No noise restrictions here ;)'
      }), document.getElementById("HeaderBanner"));
    })
    </script>
  {% endblock %}

